
   genvar i;
   generate
      for (i=0; i< CHIP_NUM; i=i+1)
      begin: DAC81416    
        dac81416_Top dac81416_Top(

                 .clk                (     clk_100m                  )
                ,.rst                (     rst_100m                  )
                                                              
                ,.da_tvalid          (     daXA_tvalid        [16*i     +: 16    ]       )
                ,.da_tready          (     daXA_tready        [16*i     +: 16    ]       )
                ,.da_din             (     daXA_din           [16*16*i  +: 16*16 ]       )
                                                              
                ,.da_init            (     da_init           [i]      )
                                                              
                ,.dac81416_SDO       (     dac81416_SDO      [i]      )
                ,.dac81416_SCLK      (     dac81416_SCLK     [i]      )
                ,.dac81416_SDI       (     dac81416_SDI      [i]      )
                ,.dac81416_csn       (     dac81416_csn      [i]      )
                                                              
                ,.dac81416_toggle    (     dac81416_toggle   [3*i +:3 ]      )
                ,.dac81416_ldacn     (     dac81416_ldacn    [i]      )
                ,.dac81416_rstn      (     dac81416_rstn     [i]      )
                ,.dac81416_clrn      (     dac81416_clrn     [i]      )
                ,.dac81416_almoutn   (     dac81416_almoutn  [i]      )
        );
      end
   endgenerate